> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/memorize-content-to-rememberizer.md).

# تذكر المحتوى إلى Rememberizer

{% openapi src="/files/HnPQpOiuTrIsiKLD8NFc" path="/documents/memorize/" method="post" %}
[rememberizer\_openapi.yml](https://4065521171-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKV4TZLzR1jCpM5coRezn%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=5e84eb03-c48b-4980-9792-73172ea64dd4)
{% endopenapi %}

## طلبات مثال

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST \
  https://api.rememberizer.ai/api/v1/documents/memorize/ \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "معلومات مهمة",
    "content": "هذا محتوى مهم أريد من Rememberizer أن يتذكره."
  }'
```

{% hint style="info" %}
استبدل `YOUR_JWT_TOKEN` برمز JWT الفعلي الخاص بك.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const memorizeContent = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/documents/memorize/', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      name: 'معلومات مهمة',
      content: 'هذا محتوى مهم أريد من Rememberizer أن يتذكره.'
    })
  });
  
  if (response.status === 201) {
    console.log("تم تخزين المحتوى بنجاح");
  } else {
    console.error("فشل في تخزين المحتوى");
    const errorData = await response.json();
    console.error(errorData);
  }
};

memorizeContent();
```

{% hint style="info" %}
استبدل `YOUR_JWT_TOKEN` برمز JWT الفعلي الخاص بك.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

def memorize_content():
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN",
        "Content-Type": "application/json"
    }
    
    payload = {
        "name": "معلومات مهمة",
        "content": "هذا محتوى مهم أريد من Rememberizer أن يتذكره."
    }
    
    response = requests.post(
        "https://api.rememberizer.ai/api/v1/documents/memorize/",
        headers=headers,
        data=json.dumps(payload)
    )
    
    if response.status_code == 201:
        print("تم تخزين المحتوى بنجاح")
    else:
        print(f"فشل في تخزين المحتوى: {response.text}")

memorize_content()
```

{% hint style="info" %}
استبدل `YOUR_JWT_TOKEN` برمز JWT الفعلي الخاص بك.
{% endhint %}
{% endtab %}
{% endtabs %}

## معلمات الطلب

| المعلمة | النوع | الوصف                                            |
| ------- | ----- | ------------------------------------------------ |
| الاسم   | سلسلة | **مطلوب.** اسم للمحتوى الذي يتم تخزينه.          |
| المحتوى | سلسلة | **مطلوب.** النص المحتوى لتخزينه في Rememberizer. |

## الاستجابة

تُرجع الطلب الناجح رمز حالة 201 تم الإنشاء بدون جسم استجابة.

## استجابات الخطأ

| رمز الحالة | الوصف                                                     |
| ---------- | --------------------------------------------------------- |
| 400        | طلب غير صحيح - الحقول المطلوبة مفقودة أو معلمات غير صالحة |
| 401        | غير مصرح - مصادقة غير صالحة أو مفقودة                     |
| 500        | خطأ في الخادم الداخلي                                     |

## حالات الاستخدام

تكون هذه النقطة النهائية مفيدة بشكل خاص لـ:

1. تخزين الملاحظات أو المعلومات المهمة التي تريد الوصول إليها لاحقًا
2. إضافة محتوى غير متاح من خلال مصادر البيانات المدمجة
3. إضافة معلومات يدويًا تحتاج إلى أن تكون قابلة للبحث
4. إضافة معلومات سياقية لنماذج اللغة الكبيرة التي تصل إلى قاعدة معرفتك

يصبح المحتوى المخزن قابلاً للبحث من خلال نقاط النهاية للبحث ويمكن تضمينه في الذكريات.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/memorize-content-to-rememberizer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
